Name:           ksensors
Version:        0.7.3
Release:        1
Epoch:          0
Summary:        An lm_sensors frontend for KDE

Group:          Applications/System
License:        GPL
URL:            http://ksensors.sourceforge.net/
Source0:        http://download.sourceforge.net/ksensors/ksensors-0.7.3.tar.gz
Patch0:         %{name}-hddtemp-detect.patch
Patch1:         %{name}-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext, zlib-devel, XFree86-devel, qt-devel, %{__perl}
BuildRequires:  libpng-devel, libjpeg-devel, kdelibs-devel, arts-devel
BuildRequires:  lm_sensors-devel, desktop-file-utils, libart_lgpl-devel

%description
KSensors is a nice lm-sensors frontend for the K Desktop Environment.
Install the hddtemp package if you wish to monitor hard disk
temperatures with KSensors.


%prep
%setup -q
%patch0 -p0
%patch1 -p0
%{__perl} -pi -e 's/\$\(kde_datadir\)/\$(datadir)/' src/sounds/Makefile.*


%build
unset QTDIR ; . %{_sysconfdir}/profile.d/qt.sh
%configure --disable-dependency-tracking --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install \
  --vendor fedora \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/%{name}.desktop
rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk
rm -rf $RPM_BUILD_ROOT%{_docdir}/HTML
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING FAQ README TODO
%lang(es) %doc LEEME
%lang(de) %doc LIESMICH
%lang(fr) %doc LISEZMOI
%{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/apps/%{name}
%{_datadir}/icons/hicolor/*
%{_datadir}/icons/locolor
%{_datadir}/sounds/%{name}_alert.wav


%changelog
* Sat Aug 21 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.3-0.fdr.1
- Update to 0.7.3, most patches applied upstream.
- Disable dependency tracking to speed up the build.

* Tue Jul 20 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.2-0.fdr.4
- Force use of multithreaded Qt with --enable-mt to fix build on FC2.
- Sync Debian patch to 0.7.2-16 to get a fix for freeze with hddtemp.
- Apply upstream patches #913569 and #915725.
- Disable RPATH.
- Don't ship the "handbook", it's just a template.
- Other minor improvements here and there.

* Sat Aug  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.2-0.fdr.3
- Own dirs under %%{_datadir}/icons and %%{_docdir}/HTML (bug 21).
- Don't tweak path to hddtemp.
- Patch to fix hddtemp detection.
- s/--enable-xinerama/--with-xinerama/
- Borrow man page from Debian.

* Sat May 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.2-0.fdr.2
- Spec cleanups.

* Fri Apr  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.7.2-0.fdr.1
- Update to current Fedora guidelines.
- Move desktop entry to %%{_datadir}/applications using desktop-file-install.

* Sun Feb 23 2003 Warren Togami <warren@togami.com> - 0.7.2-1.fedora.2
- BuildRequires libart_lgpl-devel needed for Red Hat 8.1

* Sun Feb 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.7.2-1.fedora.1
- Update to 0.7.2.
- Don't apply startup crash patch, but keep it around for now.

* Sat Feb 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.7-1.fedora.2
- Include startup crash patch from upstream SRPM.

* Sun Feb  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.7-1.fedora.1
- First Fedora release.
